#ifndef __APLISTITEM_H__
#define __APLISTITEM_H__

#include <qlistbox.h>
#include <qstring.h>
#include <qpixmap.h>
#include "iwlib.h"

class ApListItem : public QListBoxItem
{
  public:
	ApListItem(wireless_scan *scan = NULL, QListBox *listbox = NULL);
	~ApListItem();

	int height(const QListBox *box) const;
	int width(const QListBox *box) const;

	void setScanInfo(const wireless_scan *scan);

  protected:
	void paint(QPainter *p);
	QPixmap icon;
	wireless_scan scan_info;

	void updateIcon();

  private:
	static QPixmap *wep;
	static QPixmap *wpa;
	static QPixmap *wpa2;
	static QPixmap *w11b;
	static QPixmap *w11g;
	static QPixmap *anntena;
};

#endif // __APLISTITEM_H__
