#include "thread.h"
#include <iwlib.h>
#include <qvaluelist.h>
#include <qstring.h>

typedef QValueList<wireless_scan> ApList;

class ScanList : public thread
{
  public:
	ScanList();
	~ScanList();

	void setDevice(const char *dev);

	enum {
		RET_OK_SCAN,
		RET_OK_NOSCAN,
		RET_NG_SCAN,
		RET_NG
	};

	enum ScanListState {
		SCAN_NONE,
		SCAN_INIT,
		SCAN_GET,
		SCAN_POST,
		SCAN_END,
	} state;

	ApList getScanItems();
	int getScanItemCount();
	int getState();
	void cancel();

  protected:
	int run();

  private:
	QString dev_name;
	ApList aplist;

	pthread_mutex_t lock;

	int updateList();

	int cancel_flag;
};
